Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 200706 - =media-video/vlc-0.9.0_alpha20071022 can't stream/save from a dvb source
Summary: =media-video/vlc-0.9.0_alpha20071022 can't stream/save from a dvb source
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-28 23:45 UTC by Le retraité
Modified: 2009-01-14 13:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
vlc-0.9.0_alpha20080117.log (vlc-0.9.0_alpha20080117.log,9.40 KB, text/plain)
2008-01-29 20:33 UTC, Le retraité
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Le retraité 2007-11-28 23:45:25 UTC
Here is what I was used to do with vlc-0.8.6c:
- I have a dvb playlist generated with tzap.
- If I open the dvb pls file with vlc, it plays fine and I can zap between channels using the vlc playlist window.
- If I want to record TV, I just open the dvb pls file through the 'open file' menu, select 'stream/save', select both 'play locally' and 'file' with a given file path.
- From this point I can watch TV and zap between channels, everything will be recorded in the file I've given in the stream/save settings.

Now with vlc-0.9.0_alpha20071022 it no longer works. However, if I try this with a xspf playlist file which contains standard video files, it works. For what I can see, the problem only appears with my dvb playlist.

If I emerge back vlc-0.8.6c, dvb recording works again. However it force me to also emerge back an older version of ffmpeg in order to decode some video streams (XVID) which is annoying
Comment 1 Le retraité 2007-11-28 23:47:01 UTC
emerge vlc -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-video/vlc-0.9.0_alpha20071022  USE="X a52 alsa cdda cdio dbus dts dvb dvd fbcon ffmpeg flac gnome hal httpd libnotify matroska mp3 mpeg musepack musicbrainz ncurses nsplugin ogg opengl png samba sdl speex stream svg svga theora truetype v4l vcd vorbis wxwindows x264 xinerama xml xv -3dfx -aalib (-altivec) -arts -avahi -bidi -cddb -daap -dc1394 -debug -directfb -esd -ggi -gnutls -id3tag -jack -libcaca -libgcrypt -lirc -live -lua -modplug -optimisememory -oss -pvr -rtsp -sdl-image -seamonkey -shout -skins -taglib -twolame -upnp -v4l2 -vcdx -vlm -win32codecs -xosd -xulrunner" 0 kB 

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Comment 2 Le retraité 2007-11-28 23:47:21 UTC
 emerge --info
Portage 2.1.3.19 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.7-r0, 2.6.21-gentoo-r3 i686)
=================================================================
System uname: 2.6.21-gentoo-r3 i686 AMD Athlon(tm) 3200+
Timestamp of tree: Wed, 28 Nov 2007 20:16:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.2-r1
dev-lang/python:     2.5.1-r3
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=athlon-xp -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=athlon-xp -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror"
LANG="C"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://linux.rz.ruhr-uni-bochum.de/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac acl acpi alsa aotuv apm bash-completion berkdb bitmap-fonts bzip2 cairo cdda cdio cdr cjk cli cracklib crypt cups curl d dbus device-mapper dri dts dv dvb dvd dvdr dvdread encode fat fbcon ffmpeg firefox flac fortran ftp gcj gdbm gif gimp glade gnome gpm gstreamer gtk gtk2 gtkhtml hal hfs httpd iconv inherit-graph ipv6 isdnlog java javascript jfs jpeg jpeg2k kerberos kqemu ldap libnotify lm_sensors logrotate lzo mad magic matroska midi mikmod mime mjpeg mmx mmxext mng mono mp3 mp4 mpeg msn mudflap musepack musicbrainz nas ncurses nls nodrm nptl nptlonly nsplugin ntfs ogg openal opengl openmp pam pcre pdf perl php png pppd python quicktime rdesktop readline reflection reiser4 reiserfs ruby samba scanner sdl session snmp sockets socks5 sourceview speex spell spl sse ssl stream subversion svg svga tagwriting tcpd tetex theora threads tiff truetype truetype-fonts type1-fonts unicode usb v4l valgrind vcd vim-syntax vorbis wifi wmf wxwindows x264 x86 xfs xinerama xml xorg xpm xv xvid yv12 zip zlib" ALSA_CARDS="emu10k1 via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="dibusb-usb2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 3 Alexis Ballier gentoo-dev 2008-01-28 19:46:56 UTC
could you check if this still happens with latest snapshots ?

If it does, I'll need the output of 'vlc -vv --reset-plugins-cache'
Comment 4 Le retraité 2008-01-29 19:06:44 UTC
Ok, I'll try,

But first, I've just compiled de latest ffmpeg and vlc, and now, when I open my dvb playlist, I got:

playlist demuxer error: m3u EXTVLCOPT parsing is disabled for security reasons. If you need it and trust the m3u playlist you are trying to open, please append --m3u-extvlcopt to your command line.

So I think I'll try with this option added.
Comment 5 Le retraité 2008-01-29 19:09:00 UTC
If I just open my dvb playlist with vlc --reset-plugins-cache

vlc just freeze now >_<
Comment 6 Le retraité 2008-01-29 19:18:18 UTC
sorry, I meant, if I open my dvb playlist with vlc --m3u-extvlcopt
Comment 7 Le retraité 2008-01-29 20:24:00 UTC
vlc-0.9.0_alpha20080117 doesn't freeze like the last one, so I can test with your command line.

However, two things:

- When I open a media file with it, it plays just fine, except for a segfault on quitting:
main playlist: saving Media Library to file /home/jcdemay/.local/share/vlc/ml.xspf
Segmentation fault

- Like vlc-0.9.0_alpha20071022, I can't stream/save my dvb source, however it doesn't failed the same way, this time vlc just freeze.
Comment 8 Le retraité 2008-01-29 20:33:30 UTC
Created attachment 142151 [details]
vlc-0.9.0_alpha20080117.log

I executed
vlc --m3u-extvlcopt -vv --reset-plugins-cache &> vlc-0.9.0_alpha20080117.log

Then opened my dvb playlist file with file-->open and selected stream/save-->play local + file

vlc froze, I waited a couple of minutes, then killed the app.

Here is the log.
Comment 9 Alexis Ballier gentoo-dev 2008-08-05 19:45:26 UTC
(In reply to comment #8)

> vlc froze, I waited a couple of minutes, then killed the app.

hmmm sorry for the late reply, I have no dvb card here atm so it's rather hard to keep track of things. _beta3 should be much more stable than the one you were using, could you please try with that ?
I think the "freeze" you were experiencing was due to some deadlock caused by the security exception dialog if I remember correctly, it has been there for a while but should be fixed now.
Comment 10 Alexis Ballier gentoo-dev 2008-08-17 11:16:02 UTC
(In reply to comment #9)
> (In reply to comment #8)
> 
> > vlc froze, I waited a couple of minutes, then killed the app.
> 
> hmmm sorry for the late reply, I have no dvb card here atm so it's rather hard
> to keep track of things. _beta3 should be much more stable than the one you
> were using, could you please try with that ?
> I think the "freeze" you were experiencing was due to some deadlock caused by
> the security exception dialog if I remember correctly, it has been there for a
> while but should be fixed now.
> 


-> test request
Comment 11 Le retraité 2009-01-14 13:26:14 UTC
VLC 0.9.x has been working with DVB for some time now.